%bcond_with tests

Summary:        CSS selector library
Name:           python-soupsieve
Version:        2.3.1
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/facelessuser/soupsieve
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel python3dist(setuptools)
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3dist(lxml) python3dist(html5lib) python3dist(beautifulsoup4)
%endif

BuildArch:      noarch

%description
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4. It aims to 
provide selecting, matching, and filtering using modern CSS selectors. Soup Sieve currently 
provides selectors from the CSS level 1 specifications up through the latest CSS level 4 
drafts and beyond (though some are not yet implemented).

%package -n python3-soupsieve
Summary:        %{summary}

%description -n python3-soupsieve
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4. It aims to 
provide selecting, matching, and filtering using modern CSS selectors. Soup Sieve currently 
provides selectors from the CSS level 1 specifications up through the latest CSS level 4 
drafts and beyond (though some are not yet implemented).

%prep
%autosetup -n soupsieve-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%pytest -v tests -k 'not test_namespace_xml_with_namespace and not test_contains_cdata_html and not test_contains_own_cdata_html'
%endif

%files -n python3-soupsieve
%license LICENSE.md
%doc README.md
%{python3_sitelib}/soupsieve/
%{python3_sitelib}/soupsieve*.egg-info/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Wang Guodong <gordonwwang@tencent.com> - 2.3.1-1
- initial build
